%global framework kmailtransport

Name:           kf5-%{framework}
Version: 15.12.3
Release: 1%{?dist}
Summary:        The KMailTransport Library

License:        LGPLv2+
URL:            https://projects.kde.org/kmailtransport

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel

BuildRequires:  cyrus-sasl-devel

BuildRequires:  kf5-kdelibs4support-devel >= 5.15
BuildRequires:  kf5-kcmutils-devel >= 5.15
BuildRequires:  kf5-kconfigwidgets-devel >= 5.15
BuildRequires:  kf5-kwallet-devel >= 5.15

BuildRequires:  kf5-kmime-devel >= 15.12.0
BuildRequires:  kf5-akonadi-devel >= 15.12.0
BuildRequires:  kf5-akonadi-mime-devel >= 15.12.0

# http://bugzilla.redhat.com/1292325
Conflicts: kdepimlibs-akonadi < 4.14.10-4

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kwallet-devel
Requires:       kf5-kmime-devel
Requires:       kf5-akonadi-mime-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.LIB
%{_kf5_libdir}/libKF5MailTransport.so.*
%{_kf5_datadir}/config.kcfg/mailtransport.kcfg
%{_kf5_qtplugindir}/kcm_mailtransport.so
%{_kf5_datadir}/kservices5/kcm_mailtransport.desktop

%files devel
%{_kf5_includedir}/mailtransport_version.h
%{_kf5_includedir}/MailTransport/
%{_kf5_libdir}/libKF5MailTransport.so
%{_kf5_libdir}/cmake/KF5MailTransport/
%{_kf5_archdatadir}/mkspecs/modules/qt_KMailTransport.pri


%changelog
* Tue Mar 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.3-1
- 15.12.3

* Sun Feb 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 15.12.2-1
- 15.12.2

* Sat Feb 06 2016 Rex Dieter <rdieter@fedoraproject.org> 15.12.1-1
- 15.12.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 15.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.12.0-3
- Conflicts: kdepimlibs-akonadi < 4.14.10-4 (#1292325)
- .spec cosmetics, update URL

* Tue Dec 15 2015 Jan Grulich <jgrulich@redhat.com> - 15.12.0-2
- Remove obsoletes/conflicts with kdepimlibs

* Tue Dec 15 2015 Jan Grulich <jgrulich@redhat.com> - 15.12-0-1
- Update to 15.12.0

* Mon Dec 07 2015 Jan Grulich <jgrulich@redhat.com> - 15.11.90-1
- Update to 15.11.90

* Thu Dec 03 2015 Jan Grulich <jgrulich@redhat.com> - 15.11.80-1
- Update to 15.11.80

* Mon Aug 24 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-1
- Initial version
